<bugID>1107580<Summary>Firefox 34 Search Bar regressions</Summary><Description>Created attachment 8532114
Firefox 34 Selected Search Not Displayed.png

User Agent: Mozilla/5.0 (X11; Linux x86_64; rv:34.0) Gecko/20100101 Firefox/34.0
Build ID: 20141201171754

Steps to reproduce:

1.
Starting with FireFox 34, unless the focus is on the search bar (by clicking in the bar or pressing CTRL-K), the selected search engine is not displayed.  It is therefore possible to click on the arrow to launch the search without knowing which search engine is selected.

2.
Unless hovering the cursor over an icon for a short while, there is no way to distinguish search engines with the same icon.  I usually don't use the mouse to search.  I use CTRL-K, type in the keuwords, then use the Up/Down arrows to select the search engine.  When using this method, there is absolutely no way to distinguish search egines with the same icon (ie : Wikipedia in different languages)&#233;.

3.
Since the active search engine can no longer be changed without launching a search, there is no way to see the suggestions coming from another search engine without first launching a search.</Description></bugID>